---
lang: en
title: 'API docs: repository.modeldefinition.addsetting'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.modeldefinition.addsetting.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ModelDefinition](./repository.modeldefinition.md) &gt; [addSetting](./repository.modeldefinition.addsetting.md)

## ModelDefinition.addSetting() method

Add a setting

<b>Signature:</b>

```typescript
addSetting(name: string, value: any): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | <code>string</code> | Setting name |
|  value | <code>any</code> | Setting value |

<b>Returns:</b>

`this`


